Bug 500959 - Review Request: perl-Task-Padre-Plugin-Deps - Task::Padre::Plugin::Deps Perl module
Review Request: perl-Task-Padre-Plugin-Deps - Task::Padre::Plugin::Deps Perl ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Klepek
Fedora Extras Quality Assurance
:
Depends On: 495693 497283 498189 500958 508496 561866 573802
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-15 02:49 EDT by Marcela Mašláňová
Modified: 2010-03-31 08:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-31 08:59:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jan.klepek: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2009-05-15 02:49:55 EDT
Spec URL: http://mmaslano.fedorapeople.org/review/perl-Task-Padre-Plugin-Deps.spec
SRPM URL: http://mmaslano.fedorapeople.org/review/perl-Task-Padre-Plugin-Deps-0.12-1.fc11.src.rpm
Description: Simply plugins for Padre gui for Perl.

Build is not available because of missing BR.
Comment 1 Jason Tibbitts 2009-06-10 19:14:01 EDT
Since the blockers are all closed, I tried building this again but it fails in rawhide due to lack of File::Spec >= 3.2701.  I guess the core Perl package needs an update.

Please clear the whiteboard when this package becomes buildable.
Comment 2 Stepan Kasal 2009-06-19 07:22:04 EDT
One nit in %description "Simply" -> "Simple"
Comment 3 Stepan Kasal 2009-06-19 13:14:54 EDT
The build failed because of an unresolved symbol in Class/XSAccessor.so.

To fix that, I updated perl-AutoXS-Header to 1.02-1.fc12 and then rebuild
perl-Class-XSAccessor-1.03-2.fc12

So an hour after now, when the repo catches the *XSAccessor-*-2.fc12 rpm, there is a chance that the reviewed rpm could build OK.

I'm in a hurry right now, could you please try to build the rpm yourself?
(If it still fails, then please accept my apology and return the "NotReady" to whiteboard.)
Comment 4 Marcela Mašláňová 2009-06-22 08:00:01 EDT
http://koji.fedoraproject.org/koji/getfile?taskID=1429237&name=build.log

Wx::Perl::DataWalker             .../usr/bin/perl: symbol lookup error: /usr/lib/perl5/vendor_perl/5.10.0/ppc-linux-thread-multi/auto/Wx/Wx.so: undefined symbol: Perl_Guse_safe_putenv_ptr

This could be (maybe) fixed with update of threads in perl core.
Comment 5 Stepan Kasal 2009-08-25 09:31:03 EDT
(In reply to comment #4)
> Wx::Perl::DataWalker             .../usr/bin/perl: symbol lookup error:
> /usr/lib/perl5/vendor_perl/5.10.0/ppc-linux-thread-multi/auto/Wx/Wx.so:
> undefined symbol: Perl_Guse_safe_putenv_ptr

This is bug #508496.
Comment 6 Jan Klepek 2009-10-12 06:57:44 EDT
(In reply to comment #0)
> Spec URL:
> http://mmaslano.fedorapeople.org/review/perl-Task-Padre-Plugin-Deps.spec
> SRPM URL:
> http://mmaslano.fedorapeople.org/review/perl-Task-Padre-Plugin-Deps-0.12-1.fc11.src.rpm
not valid anymore
please provide current link.
Comment 7 Marcela Mašláňová 2009-10-12 07:37:06 EDT
Aha, I accidentally removed them as old. They are back and we have also passed koji build http://koji.fedoraproject.org/koji/taskinfo?taskID=1741846
Comment 8 Jan Klepek 2009-10-13 05:27:52 EDT
BR missing:
perl-Acme-PlayCode
perl-WebService-Validator-CSS-W3C
perl-WebService-Validator-HTML-W3C

spec file:
if this BR is not needed, remove it at all
#BuildRequires:  perl(Audio::Beep)

- md5sum source ok
- tests ok
- rpmlint clean
- license ok

please fix specfile and BR.
Comment 9 Marcela Mašláňová 2009-10-13 07:33:42 EDT
BR weren't packaged and it should be partially working without them. If you insist on packaging also them, we can postpone this review again.

I can add BR now because it doesn't brake build
http://koji.fedoraproject.org/koji/getfile?taskID=1743352&name=build.log
Comment 10 Jan Klepek 2009-10-15 16:45:22 EDT
it doesn't break build just because dependencies are downloaded automagically directly from CPAN, and I'm not ok with that, when mentioned packages exists in fedora pkgdb.
Please add them into BR.
Comment 11 Jason Tibbitts 2009-10-15 18:58:24 EDT
It is simply not permitted to download external content at build time; you don't even know that the builders have outside network access.  Anything needed for the build must be installed, either as part of the default package set or as a consequence of a BuildRequires: line.
Comment 12 Marcela Mašláňová 2009-10-16 04:14:20 EDT
(In reply to comment #11)
> It is simply not permitted to download external content at build time; you
> don't even know that the builders have outside network access.  Anything needed
> for the build must be installed, either as part of the default package set or
> as a consequence of a BuildRequires: line.  

No, I don't know about automagicall cpan and that's the reason why I switched off automaticall installation by patch which is included in srpm </sarcasm>
Comment 13 Marcela Mašláňová 2009-10-16 04:30:59 EDT
(In reply to comment #10)
> it doesn't break build just because dependencies are downloaded automagically
> directly from CPAN, and I'm not ok with that, when mentioned packages exists in
> fedora pkgdb.
> Please add them into BR.  

Ok, it looks like all BR are now in buildroot. I fixed all problems which you mentioned.

Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1749448
SRPM: http://mmaslano.fedorapeople.org/review/perl-Task-Padre-Plugin-Deps-0.12-2.fc12.src.rpm
Spec: http://mmaslano.fedorapeople.org/review/perl-Task-Padre-Plugin-Deps.spec
Comment 14 Jan Klepek 2009-10-16 15:59:40 EDT
(In reply to comment #12)
> (In reply to comment #11)
> > It is simply not permitted to download external content at build time; you
> > don't even know that the builders have outside network access.  Anything needed
> > for the build must be installed, either as part of the default package set or
> > as a consequence of a BuildRequires: line.  
> 
> No, I don't know about automagicall cpan and that's the reason why I switched
> off automaticall installation by patch which is included in srpm </sarcasm>  

Which doesn't work.
When I'm building this in mock, it definitely downloads missing BR/requirements automatically.

You need to comment auto_install; to get rid of this behaviour.
Anyway auto_install is strongly discouraged. See CPAN page for Module::Install.
http://search.cpan.org/~adamk/Module-Install-0.91/lib/Module/Install.pod#Module::Install::AutoInstall.

fixed patch
http://hpejakle.fedorapeople.org/Task-Padre-Plugin-Deps-0.12-switch_off.patch
Comment 16 Jan Klepek 2009-11-01 17:50:21 EST
still same issue, patch is still the same as before.
Comment 17 Marcela Mašláňová 2009-11-18 09:47:11 EST
Ok, now I really applied correct patch.
http://koji.fedoraproject.org/koji/getfile?taskID=1814160&name=build.log

http://mmaslano.fedorapeople.org/review/perl-Task-Padre-Plugin-Deps-0.12-4.fc12.src.rpm

But still there are problems in requirements, you might find in build log lines like: Warning: prerequisite Acme::PlayCode 0 not found.

These ^ are problems of mentioned three packages, which I have to fix first.
Comment 18 Marcela Mašláňová 2010-02-04 10:03:49 EST
Add some other requirements, but still there are some dependencies in parrot and rakudo.
Comment 19 Jan Klepek 2010-02-21 11:30:47 EST
Marcela, which dependencies do you have on your mind?
Comment 20 Marcela Mašláňová 2010-02-22 06:46:39 EST
- Install experimental Padre plugin that runs on Parrot? ...missing.
- Install Padre plugin for Perl6? 
- Install Experimental Padre plugin written in Perl 6?   ...missing.
- Inline::Rakudo                                         ...missing. (would need 0.02)
- Install Simple Catalyst helper interface for Padre?    ...missing.

It's questionable if we need all of them.
Comment 21 Jan Klepek 2010-03-15 16:20:12 EDT
In wishlist for this package you had perl-Audio-Beep, I have updated dependency with review request for it.
Comment 22 Marcela Mašláňová 2010-03-16 04:18:19 EDT
Great, one dependency solved.
Comment 23 Marcela Mašláňová 2010-03-31 08:59:39 EDT
Great, so it's not needed. Upstream told me, that it's not maintain now. We should wait until they started new releases.

Note You need to log in before you can comment on or make changes to this bug.